#include <stdio.h>
#include "includes.h"

char *strsize(long size)
{
    static char str[CHAR_MAX];
    float new_size, ssize;

    ssize = size;

    if( size > 1024*1024 )
    {
	new_size = ssize/(1024*1024);
	snprintf( str, sizeof(str)-1, "%.2f Mb", new_size );
    }
    else if( size > 1024 )
    {
	new_size = ssize/1024;
	snprintf( str, sizeof(str)-1, "%.2f kb", new_size );
    }
    else
	snprintf( str, sizeof(str)-1, "%ld b", size );

    return( str );
}
