#include <string.h>
#include "includes.h"

void rep_end()
{
    char t[15];

    rep_file( "%s>-------------------------------------------------------------------------<%s", CRLF, CRLF );

    rep_file( "# Freq Statistics:" );
    rep_file( "# Session File/Size:  %d / %d bytes",
     NFILE, SIZE );

#if defined(PGSQL) || defined(MY_SQL)
    rep_file( "# Day File/Size:      %d / %d bytes",
     file_daySQL(), size_daySQL() );
    rep_file( "# Week File/Size:     %d / %d bytes",
     file_weekSQL(), size_weekSQL() );
    rep_file( "# Month File/Size:    %d / %d bytes",
     file_monthSQL(), size_monthSQL() );
    rep_file( "# Total File/Size:    %d / %d bytes",
     TotalFileSQL(), TotalSizeSQL() );
#endif	/* PGSQL || MY_SQL */

    strcpy( t, timer_stop() );

    rep_file( "# Stat:               %s sec", t );

    rep_file( "%s>-------------------------------------------------------------------------<%s", CRLF, CRLF );

#ifdef	DEBUG
    if( SRIF_FREQ )
	rep_file( "+++ External freq processor (v%s/DEBUG) (C) Maxim Timofeyev, 2:5030/763", VERSION );
#else
    if( SRIF_FREQ )
	rep_file( "+++ External freq processor (v%s) (C) Maxim Timofeyev, 2:5030/763",
     VERSION );
#endif	/* DEBUG */

    log( "Session File/Size: %d / %d bytes / %s sec", NFILE, SIZE, t );
}
